## tales-of-majeyal 1.5.10

=== debian/changelog ===
tales-of-majeyal (1.5.10-1mx17+1) mx; urgency=medium

  * Repackaged for MX 17.
  * added libpng-dev | libpng12-dev to the control file

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 03 Jul 2018 15:02:47 -0700

tales-of-majeyal (1.5.9-1mx17+1) mx; urgency=medium

  * New release repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 16 May 2018 04:36:51 -0700

tales-of-majeyal (1.5.5-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 01 Oct 2017 17:00:04 -0400

tales-of-majeyal (1.5.5-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sat, 27 May 2017 10:06:54 -0700

tales-of-majeyal (1.5.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 23 May 2017 23:26:36 +0200

tales-of-majeyal (1.5.4-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 23 May 2017 20:53:20 +0200

tales-of-majeyal (1.5.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 11 Apr 2017 20:20:49 +0200

tales-of-majeyal (1.5.2-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 21 Mar 2017 18:25:30 +0100

tales-of-majeyal (1.5.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 17 Mar 2017 18:11:13 +0100

tales-of-majeyal (1.5.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 09 Mar 2017 18:21:25 +0100

tales-of-majeyal (1.4.9-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 17:29:33 +0100

tales-of-majeyal (1.4.8-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 14 Jun 2016 19:13:00 +0200

tales-of-majeyal (1.4.7-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 13 Jun 2016 21:48:48 +0200

tales-of-majeyal (1.4.6-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 11 Mar 2016 20:06:48 +0100

tales-of-majeyal (1.4.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 29 Feb 2016 20:33:03 +0100

tales-of-majeyal (1.4.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 21 Feb 2016 02:02:23 +0100

tales-of-majeyal (1.4.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 03 Feb 2016 20:04:04 +0100

tales-of-majeyal (1.4.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Jan 2016 19:13:47 +0100

tales-of-majeyal (1.4.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 26 Jan 2016 19:55:11 +0100

tales-of-majeyal (1.4.0-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 26 Jan 2016 18:25:03 +0100

tales-of-majeyal (1.3.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 Nov 2015 19:43:45 +0100

tales-of-majeyal (1.3.2-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 29 Nov 2015 22:10:40 +0100

tales-of-majeyal (1.3.1-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 29 Mar 2015 16:39:32 +0200

tales-of-majeyal (1.3.0-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 18 Mar 2015 20:33:53 +0100

tales-of-majeyal (1.2.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 06 Nov 2014 21:06:13 +0100

tales-of-majeyal (1.2.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 18 Oct 2014 19:39:45 +0200

tales-of-majeyal (1.2.3-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Release highlights:

    Important bugfixes
    Better balancing of Mindslayers

    Expanded changelist:﻿

    Vitality triggers correctly from Berserker Rage
    Charged Strike on a frozen target vaporizes the ice into a flash of
    vapour that knocks back foes
    Charged Strike on a pinned target will charge up Charge Shield
    Thermal Strike on a pinned target will summon a encasing wall of ice
    Shocked effect now also reduces pin resistance, mostly to the benefit of
    mindslayers
    Dogroth Caldera fumes go inactive after the boss deth, even on the first
    level
    Temporal Rift shield is no longer metallic
    The Eidolon can now teleport players someplace else on the level when
    coming from the Infinite Dungeon
    Projectile evasion buffs do not stack, only the highest is used
    Fixed Tirakai's Maul
    Molten Skin boosts both Sun and Sunlight trees
    Uniques count as bosses in the charsheet counter instead of rares
    Skeleton and Ghoul racial stat increases are always integers now
    Fixed Bloody Butcher to correcty add physical power and to work with Deep
    Wound effect
    Fixed stoneskin-like shader auras to be symetrical again
    Fixed Bombardment not using the correct shot power
    Fixed Hurricane Short on right click too
    Improved Total Thuggery AI hints
    Fixed Swift Shot and Feed to work on right click
    Improved Feed particle effect
    Ethereal Embrace tooltip correctly states that it improves damage shields

