## tales-of-majeyal 1.6.0

=== debian/changelog ===
tales-of-majeyal (1.6.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 Nov 2019 17:28:46 -0800
