## tales-of-majeyal 1.6.1

=== debian/changelog ===
tales-of-majeyal (1.6.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 25 Nov 2019 16:23:39 -0800
