## tales-of-majeyal 1.6.4

=== debian/changelog ===
tales-of-majeyal (1.6.4-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 29 Nov 2019 19:10:16 -0800
