## tales-of-majeyal 1.6.5

=== debian/changelog ===
tales-of-majeyal (1.6.5-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Dec 2019 08:25:30 -0800
