=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tales-of-majeyal
 Section: games
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
 Build-Depends: debhelper (>= 9),
                libreadline6-dev,
