## tales-of-majeyal 1.6.6

=== debian/changelog ===
tales-of-majeyal (1.6.6-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 30 Jan 2020 19:11:42 -0800
