## tales-of-majeyal 1.6.7

=== debian/changelog ===
tales-of-majeyal (1.6.7-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Feb 2020 18:43:38 -0800
