## tales-of-majeyal 1.7.0

=== debian/changelog ===
tales-of-majeyal (1.7.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 30 Oct 2020 17:05:43 -0700
