## tales-of-majeyal 1.7.2

=== debian/changelog ===
tales-of-majeyal (1.7.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Nov 2020 18:47:32 -0800
