## tales-of-majeyal 1.7.3

=== debian/changelog ===
tales-of-majeyal (1.7.3-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Jun 2021 07:42:11 -0700
