## tales-of-majeyal 1.7.4

=== debian/changelog ===
tales-of-majeyal (1.7.4-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 18:20:51 -0700
