## tales-of-majeyal 1.7.6

=== debian/changelog ===
tales-of-majeyal (1.7.6-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Oct 2023 15:19:29 -0700

tales-of-majeyal (1.7.4-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 17:55:44 -0700
