=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
-Build-Depends: debhelper (>= 9),
-               libreadline6-dev,
-               libglew-dev,
-               zlib1g-dev,
-               libx11-dev,
-               x11proto-core-dev,
-               mesa-common-dev,
-               libglu1-mesa-dev,
-               libvorbis-dev,
-               libsdl2-dev,
-               libopenal-dev,
-               valgrind,
-               linux-libc-dev,
-               libsdl2-ttf-dev,
-               libsdl2-image-dev,
-               libpng-dev | libpng12-dev,
-               libexpat1-dev,
-               lua5.1,
-               premake4
+Build-Depends: debhelper (>= 12),
+               libreadline-dev (>= 7.0-5),
+               libglew-dev (>= 2.1.0-4),
+               zlib1g-dev (>= 1.2.11),
+               libx11-dev (>= 1.6.7),
+               x11proto-core-dev (>= 2018.4-4),
+               mesa-common-dev (>= 18.3.6-2),
+               libglu1-mesa-dev (>= 9.0.0-2.1),
+               libvorbis-dev (>= 1.3.6-2),
+               libsdl2-dev (>= 2.0.9),
+               libopenal-dev (>= 1.19.1),
+               valgrind (>= 3.14.0),
+               linux-libc-dev (>= 4.19.152),
+               libsdl2-ttf-dev (>= 2.0.15),
+               libsdl2-image-dev (>= 2.0.4),
+               libpng-dev (>= 1.6.36) | libpng12-dev,
+               libexpat1-dev (>= 2.2.6-2),
+               lua5.1 (>= 5.1.5-8.1),
+               premake4 (>= 4.3+repack1-2)
 Standards-Version: 3.9.7
 Homepage: http://te4.org/
