=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_auto_build:
 	premake4 gmake
 	make config=release
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+
